Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 78453 - basic /sbin/* files need libraries outside of the root-partition
basic /sbin/* files need libraries outside of the root-partition
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: modutils (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-22 20:37 EST by Enrico Scholz
Modified: 2014-03-16 22:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-22 20:37:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-11-22 20:37:31 EST
Description of Problem:

| $ ldd /sbin/modprobe
|           libz.so.1 => /usr/lib/libz.so.1 (0x4002a000)
                         ~~~~~~~~~

(same holds for depmod)

This causes problems on startup when having a seperate /usr-partition, because
certain operations in /etc/rc.sysinit can not be executed.

Perhaps libz.so.1 should be placed inside /lib, so reassign if needed.



Version-Release number of selected component (if applicable):

modutils-2.4.21-1
zlib-1.1.4-5



How Reproducible:


Steps to Reproduce:
1. configure system to have a seperate /usr partion
2. reboot


Actual Results:

Errormessages because libz.so.1 can not be found.
Comment 1 Bill Nottingham 2002-11-25 16:53:05 EST
Fixed in 2.4.22-1.

Note You need to log in before you can comment on or make changes to this bug.